package com.engine.organization.entity.jingyou;

import org.apache.commons.lang3.StringUtils;
import weaver.conn.RecordSet;

import java.util.Objects;

/**
 * @author:dxfeng
 * @createTime: 2024/07/19
 * @version: 1.0
 */
public class JyChart {
    private String id;
    private String fname;
    private String ftype;
    private String parentId;
    private String fnumber;
    private String fobjid;
    private String fecid;
    private String fisvitual;
    private String expand;
    private String uuid;
    private boolean hasChildren;

    private String fleadername;
    private String fleaderimg;
    private String fleaderjob;
    private String fleader;
    private String fplan;
    private String fonjob;
    private String fleaderlv;
    private String fleaderst;

    protected static final RecordSet rs = new RecordSet();

    // 提供静态方法来获取 RecordSet 实例
    public static RecordSet getRecordSet() {
        return rs;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFname() {
        return fname;
    }

    public void setFname(String fname) {
        this.fname = fname;
    }

    public String getFtype() {
        return ftype;
    }

    public void setFtype(String ftype) {
        this.ftype = ftype;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getFnumber() {
        return fnumber;
    }

    public void setFnumber(String fnumber) {
        this.fnumber = fnumber;
    }

    public String getFobjid() {
        // 根据UUID获取聚才林ID
        if (StringUtils.isNotBlank(uuid)) {
            if (id.startsWith("s_")) {
                // 查询聚才林分部的ID
                rs.executeQuery("select id from jcl_org_comp where uuid = ?",uuid);
                if(rs.next()){
                    return rs.getString("id");
                }
            } else if (id.startsWith("d_")) {
                // 查询聚才林分部的ID
                rs.executeQuery("select id from jcl_org_dept where uuid = ?",uuid);
                if(rs.next()){
                    return rs.getString("id");
                }
            }
        }
        return fobjid;
    }

    public void setFobjid(String fobjid) {
        this.fobjid = fobjid;
    }

    public String getFecid() {
        return fecid;
    }

    public void setFecid(String fecid) {
        this.fecid = fecid;
    }

    public String getFisvitual() {
        return fisvitual;
    }

    public void setFisvitual(String fisvitual) {
        this.fisvitual = fisvitual;
    }

    public String getExpand() {
        return expand;
    }

    public void setExpand(String expand) {
        this.expand = expand;
    }

    public boolean isHasChildren() {
        // 都置为true
        return true;
    }

    public void setHasChildren(boolean hasChildren) {
        this.hasChildren = hasChildren;
    }

    public String getFleadername() {
        return fleadername;
    }

    public void setFleadername(String fleadername) {
        this.fleadername = fleadername;
    }

    public String getFleaderimg() {
        return fleaderimg;
    }

    public void setFleaderimg(String fleaderimg) {
        this.fleaderimg = fleaderimg;
    }

    public String getFleaderjob() {
        return fleaderjob;
    }

    public void setFleaderjob(String fleaderjob) {
        this.fleaderjob = fleaderjob;
    }

    public String getFleader() {
        return fleader;
    }

    public void setFleader(String fleader) {
        this.fleader = fleader;
    }

    public String getFplan() {
        return fplan;
    }

    public void setFplan(String fplan) {
        this.fplan = fplan;
    }

    public String getFonjob() {
        return fonjob;
    }

    public void setFonjob(String fonjob) {
        this.fonjob = fonjob;
    }

    public String getFleaderlv() {
        return fleaderlv;
    }

    public void setFleaderlv(String fleaderlv) {
        this.fleaderlv = fleaderlv;
    }

    public String getFleaderst() {
        return fleaderst;
    }

    public void setFleaderst(String fleaderst) {
        this.fleaderst = fleaderst;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        JyChart jyChart = (JyChart) o;
        return id.equals(jyChart.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
